/* 
 *  Ths code in this file is part of tcptrack. For more information see
 *    http://www.rhythm.cx/~steve/devel/tcptrack
 *
 *     Copyright (C) Steve Benson - 2003
 *
 *  tcptrack is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your
 *  option) any later version.
 *   
 *  tcptrack is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *  
 */
#ifndef LIST_ITERATOR_H
#define LIST_ITERATOR_H 1

template<class T> class ListNode;

template<class T> class ListIterator
{
public:
	ListIterator();
	ListIterator(bool sortdir);
	T getNext();
	void setCurrent( ListNode<T> *newCurrent );
private:
	ListNode<T> *current;
};

template<class T> ListIterator<T>::ListIterator()
{
}

template<class T> ListIterator<T>::ListIterator(bool sortdir)
{
}

template<class T> T ListIterator<T>::getNext()
{
	if( current == NULL )
		return (T) 0;
	T rv = current->getItem();
	current = current->getNext();
	return rv;
}

template<class T> void ListIterator<T>::setCurrent( ListNode<T> *newCurrent )
{
	current = newCurrent;
}

#endif
