/* 
 *  Ths code in this file is part of tcptrack. For more information see
 *    http://www.rhythm.cx/~steve/devel/tcptrack
 *
 *     Copyright (C) Steve Benson - 2003
 *
 *  tcptrack is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your
 *  option) any later version.
 *   
 *  tcptrack is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *  
 */

#ifndef PACKETBUFFER_H
#define PACKETBUFFER_H
#include <queue>
#include "TCContainer.h"

class PacketBuffer
{
public:
	PacketBuffer( TCContainer *c );
	void pushPacket( const u_char * packet );
	void maint_thread_run();
private:
	std::queue<const u_char *> pq1;
	std::queue<const u_char *> pq2;
	std::queue<const u_char *> *inq;
	std::queue<const u_char *> *outq;
	TCContainer *c;
	pthread_mutex_t inq_lock;
	pthread_t maint_thread_tid;
};

void *pbmaint_thread_func( void * );

#endif
